<div class="dropdown">
  <div
    class="dropdown-title"
    [ngClass]="{ open: isOpen, continue: isContinue, before: !!list[0].label }"
    (click)="toggleDropdown()"
    [ngStyle]="styles && styles.title"
  >
    {{ current }}
    <div class="dropdown-icon">▶</div>
  </div>

  <div class="dropdown-list" *ngIf="list" [ngClass]="{ open: isOpen }">
    <div
      (click)="chooseItem($event.target.innerText)"
      *ngFor="let item of list"
      class="dropdown-list-item"
      [ngStyle]="styles && styles.list"
    >
      <span
        *ngIf="item.label"
        class="label"
        [ngStyle]="{ 'background-color': item.label }"
      ></span>
      {{ item.value || item }}
    </div>
  </div>
</div>
